Merge pull request #47 from buildplan/add_ssh

Add ssh in essential packages
This commit is contained in:
buildplan
2025-08-10 23:36:42 +01:00
committed by GitHub
3 changed files with 9 additions and 8 deletions

View File

@@ -6,9 +6,9 @@
[![Shell](https://img.shields.io/badge/Shell-Bash%204.4%2B-green)](https://www.gnu.org/software/bash/)
[![Type](https://img.shields.io/badge/Type-Setup%20%26%20Hardening-blue)](https://github.com/buildplan/du_setup)
**Version:** v0.62
**Version:** v0.63
**Last Updated:** 2025-08-06
**Last Updated:** 2025-08-10
**Compatible With:**
@@ -82,12 +82,12 @@ sha256sum du_setup.sh
Compare the output hash to the one below. They must match exactly.
`afba081aee73ca2cc0838a2fb821d8c7c15ff13e47205f1e453bbd0db30ea640`
`200bec06b7eb818616fc8073e4aa479c2dd3aa8c262a2e273173d31cda0286a3`
Or echo the hash to check, it should output: `du_setup.sh: OK`
```
echo afba081aee73ca2cc0838a2fb821d8c7c15ff13e47205f1e453bbd0db30ea640 du_setup.sh | sha256sum --check -
echo 200bec06b7eb818616fc8073e4aa479c2dd3aa8c262a2e273173d31cda0286a3 du_setup.sh | sha256sum --check -
```
### 3\. Run the Script

View File

@@ -1,8 +1,9 @@
#!/bin/bash
# Debian 12 and Ubuntu Server Hardening Interactive Script
# Version: 0.62 | 2025-08-06
# Version: 0.63 | 2025-08-10
# Changelog:
# - v0.63: Added ssh install in key packages
# - v0.62: Added fix for fail2ban by creating empty ufw log file
# - v0.61: Display Lynis suggestions in summary, hide tailscale auth key, cleanup temp files
# - v0.60: CI for shellcheck
@@ -62,7 +63,7 @@
set -euo pipefail # Exit on error, undefined vars, pipe failures
# --- Update Configuration ---
CURRENT_VERSION="0.62"
CURRENT_VERSION="0.63"
SCRIPT_URL="https://raw.githubusercontent.com/buildplan/du_setup/refs/heads/main/du_setup.sh"
CHECKSUM_URL="${SCRIPT_URL}.sha256"
@@ -466,7 +467,7 @@ install_packages() {
ufw fail2ban unattended-upgrades chrony \
rsync wget vim htop iotop nethogs netcat-traditional ncdu \
tree rsyslog cron jq gawk coreutils perl skopeo git \
openssh-client openssh-server; then
ssh openssh-client openssh-server; then
print_error "Failed to install one or more essential packages."
exit 1
fi

View File

@@ -1 +1 @@
afba081aee73ca2cc0838a2fb821d8c7c15ff13e47205f1e453bbd0db30ea640 du_setup.sh
200bec06b7eb818616fc8073e4aa479c2dd3aa8c262a2e273173d31cda0286a3 du_setup.sh